Class UmlBaseFinalState

Declaration :

- C++ : class UmlBaseFinalState : public UmlPseudoState
- Java : abstract class UmlBaseFinalState extends UmlPseudoState

Directly inherited by : UmlFinalState

Artifact : UmlBaseFinalState

Operation create

returns a new final state created under 'parent'
In case it cannot be created ('parent' cannot contain it etc ...)
return 0 in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem) : UmlFinalState, exceptions : RuntimeException
- C++ : public: static UmlFinalState * create(UmlItem * parent)
- Java : public static UmlFinalState create(UmlItem parent) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseFinalState

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseFinalState(in id : item_id, in s : string) :
- C++ : protected: UmlBaseFinalState(void * id, const QCString & s) : UmlPseudoState(id, s)
- Java : protected UmlBaseFinalState(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload